org.eclipse.microprofile.metrics.tck.metrics

## Class SimpleTimerFunctionalBean

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.metrics.SimpleTimerFunctionalBean

    @ApplicationScoped
    public class SimpleTimerFunctionalBean
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`SimpleTimerFunctionalBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `doSomething()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleTimerFunctionalBean

    public SimpleTimerFunctionalBean()

### Method Detail

#### doSomething

    @SimplyTimed(name="mySimplyTimed",
                 absolute=true)
    public void doSomething()